List your teams
curl --request GET \
--url https://my.server.express/api/v1/user/teams \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/user/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/user/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"isOwner": true,
"role": "OWNER",
"memberCount": 123,
"serviceCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Teams
List your teams
Every team the caller owns or belongs to, oldest first. Teams never own servers — sharing only widens who may touch them. Session only.
GET
/
v1
/
user
/
teams
List your teams
curl --request GET \
--url https://my.server.express/api/v1/user/teams \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/user/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/user/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"isOwner": true,
"role": "OWNER",
"memberCount": 123,
"serviceCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}